Subject: bug#72262: 31.0.50; [PATCH] Bug in `ispell-begin-tex-skip-regexp'

From: Arash Esbati <[email-masked]>
Date: Sun, 04 Aug 2024 22:01:07 +0200

Eli Zaretskii <[email-masked]> writes:

> Thanks, but couldn't this change break someone's setup or workflows?

I can't currently think of a scenario where the change breaks a working
setup.

> The matching of whitespace there seems to be on purpose,

In LaTeX2e, spaces in environment names are significant, so \begin{foo}
is not equivalent to \begin{foo } or \begin{ foo }, therefore I think
the current code is wrong.

> and your use case involves customization of ispell-tex-skip-alists.
> What about users who didn't customize that or customized it in a
> different way?

The former group is not affected at all since LaTeX has no environment
names with spaces.  The latter will actually get what they're asking for
with the change I proposed, which is a follow-up to 808917b3fc.

Best, Arash